Update IP whitelist
curl --request PUT \
--url https://api.proxyjam.com/public/v1/orders/{order_id}/whitelist \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"whitelisted_ips": [
{}
]
}
'import requests
url = "https://api.proxyjam.com/public/v1/orders/{order_id}/whitelist"
payload = { "whitelisted_ips": [{}] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({whitelisted_ips: [{}]})
};
fetch('https://api.proxyjam.com/public/v1/orders/{order_id}/whitelist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Proxy management
Update IP whitelist
Replace the list of whitelisted IPs for a proxy.
PUT
/
orders
/
{order_id}
/
whitelist
Update IP whitelist
Replaces the IP whitelist at the provider level. Proxies using IP-whitelist authentication accept connections only from addresses on this list.
Sending an empty array disables IP-whitelist authentication and falls back to username/password auth.
Path parameters
string
required
UUID of the order.
Request body
array
required
List of IPv4 addresses to allow. Send an empty array to clear the whitelist.
Response
Updated proxy object with the newwhitelisted_ips. Same shape as the managed_proxy object in Get order.
Example
curl -X PUT "https://api.proxyjam.com/public/v1/orders/997b4450-e7ae-4ad9-8a25-996e582049c9/whitelist" \
-H "X-API-Key: pj_AbCdEf..." \
-H "Content-Type: application/json" \
-d '{"whitelisted_ips": ["203.0.113.10", "203.0.113.11"]}'
from proxyjam import ProxyJamClient
with ProxyJamClient(api_key="pj_live_...") as proxyjam:
proxy = proxyjam.proxies.set_whitelist(
"997b4450-e7ae-4ad9-8a25-996e582049c9",
["203.0.113.10", "203.0.113.11"],
)
print(proxy.whitelisted_ips)
{
"order_id": "997b4450-e7ae-4ad9-8a25-996e582049c9",
"provider_proxy_id": "1836367",
"status": "active",
"expires_at": "2026-03-21T14:22:39Z",
"whitelisted_ips": ["203.0.113.10", "203.0.113.11"]
}
⌘I